iptables: fix wrong depends for nftables support (FS#707)
authorAnsuel Smith <ansuelsmth@gmail.com>
Sat, 22 Apr 2017 17:57:09 +0000 (19:57 +0200)
committerFelix Fietkau <nbd@nbd.name>
Sat, 22 Apr 2017 19:33:46 +0000 (21:33 +0200)
The dep for the nftables support was wrong, if someone actually enable
that option gain a compilation error. This fix this problem.

Signed-off-by: Ansuel Smith <ansuelsmth@gmail.com>
package/network/utils/iptables/Makefile

index ae2377e..ca8b197 100644 (file)
@@ -432,7 +432,7 @@ define Package/libxtables
  ABI_VERSION:=$(PKG_VERSION)
  DEPENDS:= \
        +IPTABLES_CONNLABEL:libnetfilter-conntrack \
-       +IPTABLES_NFTABLES:libnfnetlink
+       +IPTABLES_NFTABLES:libnftnl
 endef
 
 TARGET_CPPFLAGS := \